// Package models provides primitives to interact with the openapi HTTP API.
//
// Code generated by github.com/deepmap/oapi-codegen/v2 version v2.1.0 DO NOT EDIT.
package models

// Error Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type Error struct {
	// Details Human-readable explanation specific to this occurrence of the problem.
	// The "detail" string, if present, ought to focus on helping the client correct the problem, rather than giving debugging information.
	Details string `json:"details"`

	// Instance URI reference that identifies the specific occurrence of the problem.
	Instance string `json:"instance"`

	// Status HTTP status code generated by the origin server for this occurrence of the problem.
	Status int `json:"status"`

	// Title Short, human-readable summary of the problem type.
	Title string `json:"title"`

	// Type URI reference that identifies the problem type.
	Type string `json:"type"`
}

// GroupID The FSC Group ID (Directory URI)
type GroupID = string

// InwayAddress Address of the inway
type InwayAddress = string

// PublicKeyThumbprint The thumbprint of the public key used in the certificate from the Outway encoded in Hex format
type PublicKeyThumbprint = string

// Service defines model for service.
type Service struct {
	// EndpointUrl An URL of the service endpoint
	EndpointUrl string `json:"endpoint_url"`

	// GroupId The FSC Group ID (Directory URI)
	GroupId GroupID `json:"group_id"`

	// InwayAddress Address of the inway
	InwayAddress InwayAddress `json:"inway_address"`

	// Name The name of a service
	Name ServiceName `json:"name"`
}

// ServiceName The name of a service
type ServiceName = string

// N400BadRequest Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N400BadRequest = Error

// N401Unauthorized Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N401Unauthorized = Error

// N403Forbidden Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N403Forbidden = Error

// N404NotFound Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N404NotFound = Error

// N408RequestTimeout Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N408RequestTimeout = Error

// N413PayloadTooLarge Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N413PayloadTooLarge = Error

// N414URITooLong Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N414URITooLong = Error

// N422UnprocessableEntity Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N422UnprocessableEntity = Error

// N429TooManyRequests Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N429TooManyRequests = Error

// N431RequestHeaderFieldsTooLarge Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N431RequestHeaderFieldsTooLarge = Error

// N500InternalServerError Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N500InternalServerError = Error

// N503ServiceUnavailable Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N503ServiceUnavailable = Error

// N505HTTPVersionNotSupported Error object according to [RFC 9457](https://www.rfc-editor.org/rfc/rfc9457.html)
type N505HTTPVersionNotSupported = Error

// RegisterInwayJSONBody defines parameters for RegisterInway.
type RegisterInwayJSONBody struct {
	// Address Address of the inway
	Address InwayAddress `json:"address"`
}

// RegisterOutwayJSONBody defines parameters for RegisterOutway.
type RegisterOutwayJSONBody struct {
	// PublicKeyThumbprint The thumbprint of the public key used in the certificate from the Outway encoded in Hex format
	PublicKeyThumbprint PublicKeyThumbprint `json:"public_key_thumbprint"`
}

// RegisterInwayJSONRequestBody defines body for RegisterInway for application/json ContentType.
type RegisterInwayJSONRequestBody RegisterInwayJSONBody

// RegisterOutwayJSONRequestBody defines body for RegisterOutway for application/json ContentType.
type RegisterOutwayJSONRequestBody RegisterOutwayJSONBody
